package edu.lawrence.auction.repositories;

import java.time.LocalDate;
import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import edu.lawrence.auction.entities.Tag;

public interface TagRepository extends JpaRepository<Tag,Integer>{
	@Query("select t from Tag t where t.tag=:tag and t.auction.opens<=:now and t.auction.closes>=:now")
	List<Tag> findActiveByTag(LocalDate now,String tag);
}
